{% extends 'user.html.twig' %}

{% block title %} {{ formation }}{% endblock %}

{% block body %}
    
    <div class="container">
        <h2>{{ formation }}</h2>
        <div class="d-grid gap-2 d-md-flex justify-content-md-end">
            <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#exampleModal">
                +
            </button>
        </div>
        <div class="table-responsive">
            <table class="table striped centered align-middle">
                <tbody>
                    <tr>
                        <th>Nom de la formation</th>
                        <td>{{formation.libelleFormation}}</td>
                    </tr>
                    <tr>
                        <th>Age</th>
                        <td>{{formation.age}}</td>
                    </tr>
                    <tr>
                        <th>Nombre de stagiaires min</th>
                        <td>{{formation.nbMinStagiaire}}</td>
                    </tr>
                    <tr>
                        <th>Nombre de stagiaires max</th>
                        <td>{{formation.nbMaxStagiaire}}</td>
                    </tr>
                    <tr>
                        <th>Nombre de formateurs</th>
                        <td>{{formation.nbFormateur}}</td>
                    </tr>
                    <tr>
                        <th>Categorie</th>
                        <td>{{formation.categorie}}</td>
                    </tr>
                    <tr>
                        <th>Diplome</th>
                        {%for formationD in formation.diplome %}
                            <td>{{formationD.libelleFormation}}</td>
                        {% endfor %}
                    </tr>
                    <tr>
                        <th>Cours</th>
                        {%for formationC in formation.cours %}
                            <td>{{formationC.NomCours}}</td>
                        {% endfor %}
                    </tr>
                    <tr>
                        <th>Prerogatives</th>
                        {%for formationP in formation.prerogatives %}
                            <td>{{formationP.libellePrerogative}}</td>
                        {% endfor %}
                    </tr>
                    <tr>
                        <th>Prerequis</th>
                        {%for formationPs in formation.prerequis %}
                            <td>{{formationPs.libellePrerequis}}</td>
                        {% endfor %}
                    </tr>
                    <tr>
                        <th>Documents</th>
                        <td>
                            {% for document in formation.uploadDocumentFormations %}
                                <img src="{{ asset('/formation/'~document.nom) }}" alt="" width="150">
                            {% else %}
                                Pas de document
                            {% endfor %}
                        </td>
                    </tr>
                    <tr>
                        <th>Stagiaires</th>
                        <td>
                            {% for stagiaire in formation.stagiaires %}
                                {{stagiaire.prenom}} {{stagiaire.nom}}
                            {% else %}
                                Pas de stagiaire
                            {% endfor %}
                            </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
    <!-- Ajout stagiaire formation -->
    <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Ajouter un/des stagiaire(s)</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                 </div>
		        {{ form_start(form) }}
                <div class="modal-body">
                    {{ form_row(form.stagiaires) }}
                </div>
                <div class="modal-footer">
                    <button class="btn small primary">Ajouter</button>
                    <button data-target="modale-contact" class="btn small secondary modal-trigger">Fermer</button>
                </div>
		        {{ form_end(form) }}
	        </div>
        </div>
    </div>
{% endblock %}
